Webhooks
Read a webhook endpoint
GET /v1/webhooks/{id}: Read a webhook endpoint
GET /v1/webhooks/{id}
| Operation id | getWebhook |
| Key scope | admin: admin keys only |
| Section | Webhooks |
#Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes | pattern ^whk_[0-9a-hjkmnp-tv-z]{26}$ |
#Example request
curl -X GET "https://api.kaab.ist/v1/webhooks/{id}" \
-H "Authorization: Bearer $KAAB_API_KEY"
#Responses
#200
Webhook
{
"id": "whk_01j9zqk3q7m4n5p6r7s8t9v0wx",
"object": "webhook",
"url": "https://hooks.acme.test/kaab",
"events": [
"job.*",
"credits.low"
],
"mode": "both",
"format": "standard",
"status": "active",
"description": null,
"disabled_reason": null,
"previous_secret_expires_at": null,
"created_at": "2026-09-18T10:00:00Z"
}
#Errors
Every error answers with the error envelope; its code is one of the error codes.
| Status | When |
|---|---|
| 400 | request_invalid: request validation failed |
| 401 | Missing or invalid API key |
| 403 | The key's scope does not cover this operation |
| 404 | Resource not found |
| 429 | Rate limited; see Retry-After |
| 500 | internal: unexpected server error |